#include <time.h>
#include <socket.h>

vmsgettimeofday(struct timeval *tp, struct timezone *tzp)
{
time_t tnow;
time_t tnowalso;
struct tm *nowtm;
char *nowstr;

  tnow = time(&tnowalso);

  nowtm = localtime(&tnow);

#ifdef DEBUG
  nowstr = ctime(&tnow);
  printf("time is %s", nowstr);

  printf("time now %ld nowalso %ld\n", tnow, tnowalso);
  printf("nowtm sec %d min %d hour %d mday %d mon %d year %d\n", 
          nowtm->tm_sec, nowtm->tm_min, nowtm->tm_hour, nowtm->tm_mday,
          nowtm->tm_mon, nowtm->tm_year);
#endif

  tp->tv_sec = (long)(tnow);
  tp->tv_usec = (long)0;
}

#ifdef DEBUG
main(int argc, char *argv[])
{
  struct timeval tnow;
  
    vmsgettimeofday(&tnow, (struct timezone*)0);

    printf("tnow sec %ld usec %ld\n", tnow.tv_sec, tnow.tv_usec);
}
#endif
